Module | SOAP::Processor
In: | soap/processor.rb

### Methods

default_parser_option default_parser_option= marshal unmarshal

### Public Class methods

default_parser_option()

[Source]

    # File soap/processor.rb, line 46
        def default_parser_option
          @@default_parser_option
        end

default_parser_option=(rhs)

[Source]

    # File soap/processor.rb, line 42
        def default_parser_option=(rhs)
          @@default_parser_option = rhs
        end

marshal(env, opt = {}, io = nil)

[Source]

    # File soap/processor.rb, line 28
        def marshal(env, opt = {}, io = nil)
          generator = create_generator(opt)
          marshalled_str = generator.generate(env, io)
          unless env.external_content.empty?
            opt[:external_content] = env.external_content
          end
          marshalled_str
        end

unmarshal(stream, opt = {})

[Source]

    # File soap/processor.rb, line 37
        def unmarshal(stream, opt = {})
          parser = create_parser(opt)
          parser.parse(stream)
        end

[Validate]